<? include("../header_subnivel1.php");?>

<?
$link=con_ver();$link_impo=con_impo();
$consecutivo = busquedaB($link,"select max(id)+1 as maximo from consecutivos_referencia","maximo");
 
global $buque,$viaje,$ets,$cliente,$booking_naviera,$pod,$naviera,$almacen,$procedencia_vacio,$almacen_consolidacion,$desde,$hacia,$tipo_mercancia,$pedimento,$linea,$contenedor,$dimension,$sello,$tipo,$tara,$destino_final;

DATOSBOOKING($link,$link_impo,$_GET[txtreferencia_cliente]);

$q1=data($link_impo,"select files from datosexpint where referencia_interteam = '".$_GET[txtreferencia_cliente]."' or referencia_interteam = '".$_GET[txtreferencia]."'");

echo mysqli_error();
 
?>
<script>
function buscar_referencia(){
		$.post( "buscar_referencia.php?referencia_cliente="+$('#txtreferencia_cliente').val()+"&consecutivo="+$('#txtconsecutivo').val(),
				function FuncionRecepcion(respuesta) {
					var laRespuesta = eval('(' + respuesta + ')');
					if ( laRespuesta != null ) {
						var laActions = laRespuesta["actions"];
						var liIdx;
						for ( liIdx=0 ; liIdx<laActions.length ; liIdx++ )
							eval( laActions[liIdx] );
					}
				});
 
}

  function checainco()

{

vas1=this.document.form2.txtreferencia.value;
vas2=this.document.form2.txtreferencia_cliente.value;
vas3=this.document.form2.txtbooking_ssl.value;

if ( vas1=='' || vas2=='' || vas3==''  )

{

alert ("Complete todos los datos por favor");

return;

}

 this.document.form2.submit();

}

</script>

<script language="Javascript">

function preguntar(inst1,dato){

eliminar=confirm("Borra el registro? " + dato);

if (eliminar)

window.location.href = inst1; 

//else

//alert('No se ha podido eliminar el registro...')

}

</script>


<div align="justify" style="line-height:18px;margin-top:-44px; position:absolute;width: 1160px; height:100%;background:url(../../../images/mundo.jpg) ">
<br />
<span style="color:#00AF4B">Agregar Booking Consolidado  &raquo;</span>
<br /><br />
  <form name="form2" id="form2" method="post" action="booking_guarda.php" >
<input name="txtreferencia_cliente" type="hidden" id="txtreferencia_cliente" size="30" value="<?=$_GET[txtreferencia_cliente]?>" />
<input name="txtreferencia" type="hidden" size="30" id="txtreferencia" value="<?=$_GET[txtreferencia]?>"  /> 
REFERENCIA DEL CLIENTE:
<?=$_GET[txtreferencia_cliente]?>
&nbsp;&nbsp;REFERENCIA DE PUERTO:  
<?=$_GET[txtreferencia]?><BR />
<?= 'BUQUE: '.$buque.' VIAJE: '.$viaje.' ETS: '.$ets.' CLIENTE: '.$cliente;?>
<table width="337" border="0" cellpadding="1">
      
      <?
	  DATOSBOOKING($referencia_cliente);
	  ?>
      
      <tr>
        <td >&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td width="86" >Booking Consolidado</td>
        <td width="241"><input name="txtbooking_ssl" type="text" id="txtbooking_ssl" size="30" value="<?=$txtbooking_ssl?>" /></td>
      </tr>
      <tr>
        <td >&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td>Carga IMO</td>
        <td>
        <input type="checkbox" name="carga_imo" id="carga_imo" <?= $carga_imo=='1' ? ' checked ' : '' ?> />
        </td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td colspan="2" >
        <input type="button" name="Submit2" value="Crear" onclick="checainco()">
        <input type="button" name="Submit" value="Regresar" onclick="document.getElementById('form2').action='referencias.php';document.getElementById('form2').submit()" /></td>
      </tr>

    </table>

  <br />
  
<!--  <iframe id="targe" name="targe"></iframe>-->

	<?php

 
 
$result = mysqli_query($link,"SELECT * FROM booking_ssl where referencia_cliente ='".$_GET[txtreferencia_cliente]."' order by booking_ssl");

if(mysqli_num_rows($result)==0){
?>
<div align="left">Busqueda sin resultados</div>
<?	
}
if ($row = mysqli_fetch_array($result)){ 
?>
<table align="left" class="tablas_con_bordes_" style="font-family:Arial, Helvetica, sans-serif; font-size:11px" >
<?

$i=0;

//encabezado
?>
<TR class='yellow'> 
<TD style='text-align:center'><strong><font size="1" face="Arial, Helvetica, sans-serif">Booking Consolidado</font></strong></TD>
<TD style='text-align:center'>IMO</TD>
<TD style='text-align:center'><strong><font size="1" face="Arial, Helvetica, sans-serif">Borrar</font></strong></TD>
</TR>

<?

do {

$i=$i+1; 

?>

<TR class='comun'>
    <TD style='text-align:left'><font size="1" face="Arial, Helvetica, sans-serif"><?=$row["booking_ssl"]?></TD>
    <TD style='text-align:left'><input type="checkbox"  <?= $row[carga_imo]=='1' ? ' checked ' : '' ?> disabled="disabled" /> </TD> 
    <TD style='text-align:center'>
    <font size="1" face="Arial, Helvetica, sans-serif">
    <a href="javascript:preguntar('bookingborra.php?id=<?=$row["id"]?>&& txt=<?=$row["id"]?>','')">Borrar</a>
    </TD>
<TR>
<?
   } while ($row = mysqli_fetch_array($result)); 
?>   

</table>
<? } ?>
</form>
